# RPM specfile for gnome-audio module
# Generated Tue Nov 18 20:52:28 2003 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from $Id: ximian-build.conf,v 1.26.2.2 2003/10/31 00:35:22 mibarra Exp $

%define nam	gnome-audio
%define ver	2.0.0
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	1

Name:     	gnome-audio
Version: 	2.0.0
Release:	0.ximian.6.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	Public Domain
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

BuildArch:      noarch
URL:		http://www.gnome.org/
Source0:	gnome-audio-2.0.0.tar.bz2
Patch0:		gnome-audio-destdir.patch
Patch1:		gnome-audio-make-distclean.patch
Summary:	GNOME audio files
Group:		Applications/Multimedia
Provides:	ximian-gnome-audio = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Conflicts:	gnome-audio-extra < 2.0.0-0.ximian.6.1
Conflicts:	gnome-audio-extra > 2.0.0-0.ximian.6.1

%description
Sound files for the GNOME desktop environment

%files
%defattr(-, root, root)
%doc README
/usr/share/sounds/gtk-events/
/usr/share/sounds/panel/
/usr/share/sounds/email.wav
/usr/share/sounds/error.wav
/usr/share/sounds/generic.wav
/usr/share/sounds/info.wav
/usr/share/sounds/log*.wav
/usr/share/sounds/shutdown1.wav
/usr/share/sounds/startup3.wav
/usr/share/sounds/warning.wav


%package -n gnome-audio-extra
Summary:	Optional Sounds for GNOME events.
Group:		Applications/Multimedia
Provides:	ximian-gnome-audio-extra = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Conflicts:	gnome-audio < 2.0.0-0.ximian.6.1
Conflicts:	gnome-audio > 2.0.0-0.ximian.6.1

%description -n gnome-audio-extra
This package contains extra sound files useful for customizing the
sounds that the GNOME desktop environtment makes.

%files -n gnome-audio-extra
%defattr(-, root, root)
/usr/share/sounds/card_shuffle.wav
/usr/share/sounds/phone.wav


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-audio-2.0.0
    ;;
all)
%setup  -q -n gnome-audio-2.0.0
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    true
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} prefix=/usr install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Nov 18 2003 Ximian, Inc.

- Version: 2.0.0-0.ximian.6.1
- Summary: New build.
- New automated build.

* Wed Apr 23 2003 Ximian, Inc.

- Version: 1.4.0-6.ximian.8
- Summary: New build.
- New automated build.

